#ifndef __SND_MAIN_H__
#define __SND_MAIN_H__
//****************************************************************************
//**
//**    SND_MAIN.H
//**    Header - Sound Subsystem
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#include "sys_defs.h"
//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================

// sound priorities
enum
{
	SND_PRIORITY_LOW,
	SND_PRIORITY_NORMAL,
	SND_PRIORITY_HIGH,
	SND_PRIORITY_CRITICAL,

	SND_PRIORITY_NUMTYPES
};

//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================

// init/shutdown
void SND_Init();
void SND_Shutdown();

// sound control
res_id_t SND_RegisterSound(char* fileName, dword maxPlayHandles);

// play control
dword SND_PlaySound(res_id_t soundId, dword priority, float volume,
					float freq, float pan, bbool looping, bbool allowDuplicate);
bbool SND_StopSound(dword slot);
bbool SND_ChangeSoundVolume(dword slot, float volume);
bbool SND_ChangeSoundFrequency(dword slot, float freq);
bbool SND_ChangeSoundPan(dword slot, float pan);

// misc operations
void SND_SetVolume(float volume);
float SND_GetVolume();

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER SND_MAIN.H
//**
//****************************************************************************
#endif // __SND_MAIN_H__
